<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m240514_082906_add_columns_producer_leave_period
 */
class m240514_082906_add_columns_producer_leave_period extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('producer', 'option_leave_period_message_display', Schema::TYPE_BOOLEAN);
        $this->addColumn('producer', 'option_leave_period_message_title', Schema::TYPE_STRING);
        $this->addColumn('producer', 'option_leave_period_message', Schema::TYPE_TEXT);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('producer', 'option_leave_period_message_display');
        $this->dropColumn('producer', 'option_leave_period_message_title');
        $this->dropColumn('producer', 'option_leave_period_message');
    }
}
